
Core - Task # 59616

Story # 58777 (Accepted): Fixes/Tasks for impexp / distributions

Status: Resolved Priority: Should have
Author: Simplicity GmbH Category: Import/Export (T3D)
Created: 2014-06-16 Assigned To: Marc Bastian Heinrichs
Updated: 2015-03-16 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Import forces pid 0 if rootLevel = -1 is set in TCA
Description

Hi

When importing tx_gridelements_backend_layout records they are "forced" to the root level (pid=0).

Warnings in preview:
TABLE 'tx_gridelements_backend_layout' will be inserted on ROOT LEVEL!

I tried several export settings without success. Then I noticed that in Ext:gridelements rootLevel=-1 is set for this table. (in TCA,
ext_tables.php)

When I change it to rootLevel=0 or remove the entry it is possible to import records into a sysfolder (which is included in the same .t3d
file).

It seems impexp does not respect -1 (= allow record on root level and normal pages). If it would handle -1 the same way as it does
when rootLevel is not set at all it would work in our case. But we don't need/want to import records to the root level.

Regards, Pascal

Associated revisions
Revision 0e7acd5a - 2015-03-14 01:20 - Marc Bastian Heinrichs

[BUGFIX] Fix wrong enforcement of pid 0 for rootLevel = -1 in impexp

The importer had no support for setting TCA ctrl rootLevel = -1 and
forces the import to pid 0, when a normal page id is also allowed.

Resolves: #59616
Releases: master, 6.2
Change-Id: I224a6d0065c2031636fce494924fc892541ab350
Reviewed-on: http://review.typo3.org/31066
Reviewed-by: Frans Saris <franssaris@gmail.com>
Tested-by: Frans Saris <franssaris@gmail.com>
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>

Revision 089417cb - 2015-03-16 20:48 - Marc Bastian Heinrichs
[BUGFIX] Fix wrong enforcement of pid 0 for rootLevel = -1 in impexp

The importer had no support for setting TCA ctrl rootLevel = -1 and
forces the import to pid 0, when a normal page id is also allowed.

Resolves: #59616
Releases: master, 6.2
Change-Id: I224a6d0065c2031636fce494924fc892541ab350
Reviewed-on: http://review.typo3.org/37838
Reviewed-by: Frans Saris <franssaris@gmail.com>
Tested-by: Frans Saris <franssaris@gmail.com>

History
#1 - 2014-06-17 10:43 - Markus Klein
- Assigned To set to Marc Bastian Heinrichs

@MaBa: Can you please check on that? Thx

#2 - 2014-06-17 11:20 - Marc Bastian Heinrichs
- Status changed from New to Accepted

#3 - 2014-06-21 18:28 - Marc Bastian Heinrichs
- Parent task set to #58777

#4 - 2014-06-23 13:13 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/31066

#5 - 2014-06-23 15:43 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/31066

#6 - 2014-08-21 00:33 - Simplicity GmbH
- File import-message.jpg added
- File import-message.jpg added

It works with the patch. Gridelements are imported into the selected sysfolder now.

But I was confused at first because the alert message was still shown. Screenshot attached.
I tried it anyway and it worked.

After cloning TYPO3 I used the following link to checkout the patch. I'm not very familiar with git (yet), maybe I downloaded the wrong patch.
git fetch http://review.typo3.org/Packages/TYPO3.CMS refs/changes/66/31066/2 && git checkout FETCH_HEAD
#7 - 2014-09-05 00:58 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31066

#8 - 2014-11-05 01:34 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31066

#9 - 2015-03-13 16:05 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31066

#10 - 2015-03-14 01:25 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/37838

#11 - 2015-03-14 01:31 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0e7acd5a4fa4c571a5e8970d6c55f55c5522fc12.

#12 - 2015-03-16 20:24 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 2 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/37838

#13 - 2015-03-16 21:00 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved

Applied in changeset commit:089417cb8dd9fb5b658647010b95f08c640615d9.

Files
import-message.jpg 135.8 kB 2014-08-21 Simplicity GmbH

2015-08-04 3/3

http://review.typo3.org/31066
http://review.typo3.org/31066
http://review.typo3.org/31066
http://review.typo3.org/37838
http://review.typo3.org/37838

